Overview | Package | Class | Tree | Deprecated | Index | Help
| Sybase eWay API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sybaseadapter.base
Class SybaseManagedConnectionFactory

    java.lang.Object
      com.stc.connector.framework.util.JndiJCAObject
          com.stc.connector.framework.jca.system.STCManagedConnectionFactory
              com.stc.connector.framework.jca.system.STCDelegationManagedConnectionFactory
                  com.stc.connector.sybaseadapter.base.SybaseManagedConnectionFactory

All Implemented Interfaces:
  com.stc.connector.management.jca.system.mbeans.LifeCycle, com.stc.connector.management.STCManagedMaster, java.io.Serializable, javax.naming.Referenceable, javax.resource.spi.ManagedConnectionFactory, javax.resource.spi.ResourceAdapterAssociation, javax.resource.spi.ValidatingManagedConnectionFactory

    public class SybaseManagedConnectionFactory

extends com.stc.connector.framework.jca.system.STCDelegationManagedConnectionFactory

Managed Connection Factory for a Sybase MCF this class delegates to

Version:
  5.1
Author:
  Andy Schaefer
See Also:
  Serialized Form

Field Summary
`protected java.util.Hashtable` | `appConnFactoryInstances`
`protected javax.resource.spi.ManagedConnectionFactory` | `mBaseFactory`
`protected java.lang.String` | `mBaseFactoryClassName`
`protected MCConfiguration` | `mManagedConfiguration`
`protected java.lang.String` | `mManagedConfigurationClassName`
`protected java.lang.String` | `mProbabilityIndexForCommitToFail`

Fields inherited from class com.stc.connector.framework.jca.system.STCDelegationManagedConnectionFactory
`mMessages`

Fields inherited from class com.stc.connector.framework.jca.system.STCManagedConnectionFactory
`mConfigurationObject, mProjectInfoObject, msgManager`

Constructor Summary
`SybaseManagedConnectionFactory()` Default Constructor

Method Summary
`protected java.lang.Object` | `createConnectionFactoryInternal(javax.resource.spi.ConnectionManager aConnectionManager, java.lang.String aClassName)`
`protected javax.resource.spi.ManagedConnection` | `createManagedConnectionInternal(javax.security.auth.Subject aSubject, javax.resource.spi.ConnectionRequestInfo aRequestInfo)`
`javax.resource.spi.ManagedConnectionFactory` | `getBaseFactory()`
`java.lang.String` | `getBaseFactoryClassName()`
`java.util.Set` | `getInvalidConnections(java.util.Set connectionSet)` This method returns a set of invalid ManagedConnection objects chosen from a specified set of ManagedConnection objects.
`java.lang.String` | `getManagedConfigurationClassName()`
`java.lang.String` | `getProbabilityIndexForCommitToFail()`
`javax.resource.spi.ManagedConnection` | `matchManagedConnections(java.util.Set connectionSet, javax.security.auth.Subject subject, javax.resource.spi.ConnectionRequestInfo cxRequestInfo)` Returns a matched connection from the candidate set of connections.
`void` | `setBaseFactoryClassName(java.lang.String aClassName)`
`void` | `setConfiguration(java.lang.String aConfiguration)`
`void` | `setManagedConfigurationClassName(java.lang.String aClassName)`
`void` | `setProbabilityIndexForCommitToFail(java.lang.String probability)`
`void` | `setResourceAdapter(javax.resource.spi.ResourceAdapter aResourceAdapter)` Associate this ManagedConnectionFactory JavaBean with a ResourceAdapter JavaBean.
`void` | `stop()`

Methods inherited from class com.stc.connector.framework.jca.system.STCManagedConnectionFactory
`checkIfStarted, createConnectionFactory, createConnectionFactory, createManagedConnection, createMBean, equals, getApplicationConnectionFactoryClass, getConfiguration, getConfigurationInstance, getConfigurationModel, getConfigurationTemplate, getEwayConnectionClass, getEwayManagedConnectionMBeanClass, getEwayMCFDescription, getEwayMCFMBeanClass, getEwayMCFMBeanName, getEwayMCFName, getLogWriter, getMonitor, getMonitorData, getProcessConfigurationParameters, getProjectInfo, getResourceAdapter, hashCode, isStarted, origSetConfiguration, origSetConfiguration, setApplicationConnectionFactoryClass, setConfigurationInstance, setConfigurationTemplate, setEwayConnectionClass, setEwayManagedConnectionMBeanClass, setEwayMCFDescription, setEwayMCFMBeanClass, setEwayMCFMBeanName, setEwayMCFName, setLogWriter, setMonitorDataClass, setProcessConfigurationParameters, setProjectInfo, start`

Methods inherited from class com.stc.connector.framework.util.JndiJCAObject
`getReference, getVersion, setReference`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mBaseFactoryClassName

    protected java.lang.String mBaseFactoryClassName

### mBaseFactory

    protected javax.resource.spi.ManagedConnectionFactory mBaseFactory

### mManagedConfigurationClassName

    protected java.lang.String mManagedConfigurationClassName

### mManagedConfiguration

    protected MCConfiguration mManagedConfiguration

### mProbabilityIndexForCommitToFail

    protected java.lang.String mProbabilityIndexForCommitToFail

### appConnFactoryInstances

    protected java.util.Hashtable appConnFactoryInstances

Constructor Detail

### SybaseManagedConnectionFactory

    public SybaseManagedConnectionFactory()

  Default Constructor

Method Detail

### createConnectionFactoryInternal

    protected java.lang.Object createConnectionFactoryInternal(javax.resource.spi.ConnectionManager aConnectionManager,
                                                               java.lang.String aClassName)
                                                        throws javax.resource.ResourceException

  Overrides:
    `createConnectionFactoryInternal` in class `com.stc.connector.framework.jca.system.STCDelegationManagedConnectionFactory`
  Throws:
    `javax.resource.ResourceException`

### createManagedConnectionInternal

    protected javax.resource.spi.ManagedConnection createManagedConnectionInternal(javax.security.auth.Subject aSubject,
                                                                                   javax.resource.spi.ConnectionRequestInfo aRequestInfo)
                                                                            throws javax.resource.ResourceException

  Overrides:
    `createManagedConnectionInternal` in class `com.stc.connector.framework.jca.system.STCDelegationManagedConnectionFactory`
  Throws:
    `javax.resource.ResourceException`

### matchManagedConnections

    public javax.resource.spi.ManagedConnection matchManagedConnections(java.util.Set connectionSet,
                                                                        javax.security.auth.Subject subject,
                                                                        javax.resource.spi.ConnectionRequestInfo cxRequestInfo)
                                                                 throws javax.resource.ResourceException

  Returns a matched connection from the candidate set of connections. ManagedConnectionFactory uses the security info (as in Subject) and information provided through ConnectionRequestInfo and additional Resource Adapter specific criteria to do matching. Note that criteria used for matching is specific to a resource adapter and is not prescribed by the Connector specification. This method returns a ManagedConnection instance that is the best match for handling the connection allocation request.

  Specified by:
    `matchManagedConnections` in interface `javax.resource.spi.ManagedConnectionFactory`
  Overrides:
    `matchManagedConnections` in class `com.stc.connector.framework.jca.system.STCDelegationManagedConnectionFactory`
  Parameters:
    `connectionSet` - The candidate connection set.
    `subject` - The Subject provided by the container which may contain credentials for authenticating to the EIS.
    `cxRequestInfo` - The ConnectionRequestInfo containing information which can be used for creating the EIS connection.
  Returns:
    A ManagedConnection instance from the candidate connection set which matches the Subject and/or ConnectionRequestInfo. A null is returned if no candidates matched; return null causes a new ManagedConnection to be created.
  Throws:
    `javax.resource.ResourceException` - upon error.

### setConfiguration

    public void setConfiguration(java.lang.String aConfiguration)
                          throws java.lang.Exception

  Overrides:
    `setConfiguration` in class `com.stc.connector.framework.jca.system.STCDelegationManagedConnectionFactory`
  Throws:
    `java.lang.Exception`

### setProbabilityIndexForCommitToFail

    public void setProbabilityIndexForCommitToFail(java.lang.String probability)

  Overrides:
    `setProbabilityIndexForCommitToFail` in class `com.stc.connector.framework.jca.system.STCDelegationManagedConnectionFactory`

### getProbabilityIndexForCommitToFail

    public java.lang.String getProbabilityIndexForCommitToFail()

  Overrides:
    `getProbabilityIndexForCommitToFail` in class `com.stc.connector.framework.jca.system.STCDelegationManagedConnectionFactory`

### getBaseFactoryClassName

    public java.lang.String getBaseFactoryClassName()

  Overrides:
    `getBaseFactoryClassName` in class `com.stc.connector.framework.jca.system.STCDelegationManagedConnectionFactory`

### getBaseFactory

    public javax.resource.spi.ManagedConnectionFactory getBaseFactory()

  Overrides:
    `getBaseFactory` in class `com.stc.connector.framework.jca.system.STCDelegationManagedConnectionFactory`

### setBaseFactoryClassName

    public void setBaseFactoryClassName(java.lang.String aClassName)
                                 throws java.lang.Exception

  Overrides:
    `setBaseFactoryClassName` in class `com.stc.connector.framework.jca.system.STCDelegationManagedConnectionFactory`
  Throws:
    `java.lang.Exception`

### getManagedConfigurationClassName

    public java.lang.String getManagedConfigurationClassName()

  Overrides:
    `getManagedConfigurationClassName` in class `com.stc.connector.framework.jca.system.STCDelegationManagedConnectionFactory`

### setManagedConfigurationClassName

    public void setManagedConfigurationClassName(java.lang.String aClassName)
                                          throws java.lang.Exception

  Overrides:
    `setManagedConfigurationClassName` in class `com.stc.connector.framework.jca.system.STCDelegationManagedConnectionFactory`
  Throws:
    `java.lang.Exception`

### getInvalidConnections

    public java.util.Set getInvalidConnections(java.util.Set connectionSet)

  This method returns a set of invalid ManagedConnection objects chosen from a specified set of ManagedConnection objects.

  Specified by:
    `getInvalidConnections` in interface `javax.resource.spi.ValidatingManagedConnectionFactory`
  Overrides:
    `getInvalidConnections` in class `com.stc.connector.framework.jca.system.STCDelegationManagedConnectionFactory`
  Parameters:
    `connectionSet` - - a set of ManagedConnection objects that need to be validated.
  Returns:
    a set of invalid ManagedConnection objects

### setResourceAdapter

    public void setResourceAdapter(javax.resource.spi.ResourceAdapter aResourceAdapter)
                            throws javax.resource.ResourceException

  Associate this ManagedConnectionFactory JavaBean with a ResourceAdapter JavaBean. Note, this method must be called exactly once; that is, the association must not change during the lifetime of this ManagedConnectionFactory JavaBean.

  Specified by:
    `setResourceAdapter` in interface `javax.resource.spi.ResourceAdapterAssociation`
  Overrides:
    `setResourceAdapter` in class `com.stc.connector.framework.jca.system.STCDelegationManagedConnectionFactory`
  Parameters:
    `resourceAdapter` - The ResourceAdapter JavaBean.
  Throws:
    `javax.resource.ResourceException` - upon error.

### stop

    public void stop()

  Specified by:
    `stop` in interface `com.stc.connector.management.jca.system.mbeans.LifeCycle`
  Overrides:
    `stop` in class `com.stc.connector.framework.jca.system.STCDelegationManagedConnectionFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sybase eWay API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD